Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.repository.factory
Interface RepositoryFactoryPlugin

All Known Implementing Classes:
  DatabaseRepositoryFactoryPlugin, DublinCoreDLVersionRedirectRepositoryFactoryPlugin, FTPRepositoryFactoryPlugin, HTTPRepositoryFactoryPlugin, LocalFileRepositoryFactoryPlugin, LocalFolderRepositoryFactoryPlugin, RelativeFileRepositoryFactoryPlugin, RelativeFolderRepositoryFactoryPlugin

    public interface RepositoryFactoryPlugin

User: matthewhorridge
The University Of Manchester
Medical Informatics Group
Date: Sep 19, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Field Summary
`static String` | `PLUGIN_TYPE`

Method Summary
`Repository` | `createRepository(OWLModel model, String repositoryDescriptor)` Creates a repository from the specified repository descriptor.
`boolean` | `isSuitable(OWLModel model, String repositoryDescriptor)` Determines if this plugin can create the appropriate repository from the specified `String`.

Field Detail

### PLUGIN_TYPE

    static final String PLUGIN_TYPE

See Also:
  Constant Field Values

Method Detail

### isSuitable

    boolean isSuitable(OWLModel model,
                       String repositoryDescriptor)

  Determines if this plugin can create the appropriate repository from the specified `String`.

  Parameters:
    `repositoryDescriptor` - The repository descriptor (This is typically a URI)
  Returns:
    `true` if the plugin can create an appropriate repository given the specified repository descriptor, or `false` if the plugin cannot create the appropriate repository.

### createRepository

    Repository createRepository(OWLModel model,
                                String repositoryDescriptor)

  Creates a repository from the specified repository descriptor.

  Parameters:
    `model` -
    `repositoryDescriptor` - The repository descriptor.
  Returns:
    A `Repository` that is based on the specified repository descriptor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.